Skip Menu |
 

This queue is for tickets about the App-Mypp CPAN distribution.

Report information
The Basics
Id: 88427
Status: resolved
Priority: 0/
Queue: App-Mypp

People
Owner: Nobody in particular
Requestors: KENTNL [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.17
Fixed in: (no value)



Subject: Unresolvable self dependency
This stanza: https://metacpan.org/source/JHTHORSEN/App-Mypp-0.17/META.json#L25

prereqs.build.requires.App::Mypp = "0.16"

Means that to install and build App::Mypp, one must first have installed App::Mypp.

HARNESS_OPTIONS=j100:c cpanm --prompt --interactive App::Mypp
--> Working on App::Mypp
Fetching http://www.cpan.org/authors/id/J/JH/JHTHORSEN/App-Mypp-0.17.tar.gz ... OK
Configuring App-Mypp-0.17 ... Warning: prerequisite App::Mypp 0.16 not found.
Writing Makefile for App-Mypp
Writing MYMETA.yml and MYMETA.json
OK
Show quoted text
==> Found dependencies: App::Mypp
Show quoted text
! Installing the dependencies failed: Module 'App::Mypp' is not installed
Do you want to continue building App-Mypp-0.17 anyway? [n]

I can try "y" here, but it then bombs pretty hard.
Download (untitled) / with headers
text/plain 127b
Oh! That's pretty stupid... 0.1701 is on its way to CPAN now. In the meanwhile, you can install it with # cpanm -n App::Mypp


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.